# $Revision: 1.9 $, $Date: 2008-02-02 15:20:37 $
Summary:	Calcurse - text-based personal organizer
Summary(pl.UTF-8):	Calcurse - tekstowy organizer
Name:		calcurse
Version:	1.9
Release:	1
License:	GPL v2
Group:		Applications
Source0:	ftp://ftp.pld-linux.org/people/piotrek/src/%{name}-%{version}.tar.gz
# Source0-md5:	e6d7bad03b2a28ed06f8ef65e9dcd227
URL:		http://culot.org/calcurse/
BuildRequires:	ncurses-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Calcurse is a text-based personal organizer which helps keeping track
of events and everyday tasks. It contains a calendar, a 'todo' list,
and puts your appointments in order. The user interface is
configurable, and one can choose between different color schemes and
layouts. All of the commands are documented within an online help
system.

%description -l pl.UTF-8
Calcurse jest tekstowym organizerem, który pomaga w śledzeniu
codziennych czynności. Zawiera kalendarz, listę zadań do zrobienia
"todo", potrafi uporządkować listę spotkań. Interfejs użytkownika jest
konfigurowalny i można wybrać jeden ze schematów kolorowania i układu
okien. Wszystkie komendy programu są udokumentowane w systemie pomocy
online.

%prep
%setup -q
%{__sed} -i -e 's/#include <ncurses.h>/#include <ncurses\/ncurses.h>/' src/*{c,h}
%{__sed} -i -e 's/ncurses\.h/ncurses\/ncurses.h/' configure

%build
%configure

%{__make} \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS doc/* ChangeLog TODO NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: calcurse.spec,v $
Revision 1.9  2008-02-02 15:20:37  piotrek
- 1.9

Revision 1.8  2007-10-03 08:07:35  piotrek
- 1.8

Revision 1.7  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.5  2007/01/25 19:41:35  darekr
- added AUTHORS to %doc

Revision 1.4  2007/01/25 19:30:12  piotrek
- up to 1.7

Revision 1.3  2006/12/19 19:25:48  qboosh
- don't include ABOUT-NLS in doc

Revision 1.2  2006/12/18 00:35:15  darekr
- BR: sed 4.0

Revision 1.1  2006/12/17 09:04:41  piotrek
- initial 1.6
